### Enumeration

# GtkCollation

since: 4.10

#### Declaration

    enum Gtk.Collation

#### Description [src]

Describes how a `GtkStringSorter` turns strings into sort keys to compare them.

Note that the result of sorting will in general depend on the current locale unless the mode is `GTK_COLLATION_NONE`.

Available since: 4.10

#### Members

`GTK_COLLATION_NONE`

  Don’t do any collation.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.10
`GTK_COLLATION_UNICODE`

  Use `g_utf8_collate_key()`

  - Value: `1`
  - Nickname: `unicode`
  - Available since: 4.10
`GTK_COLLATION_FILENAME`

  Use `g_utf8_collate_key_for_filename()`

  - Value: `2`
  - Nickname: `filename`
  - Available since: 4.10